#include <stdio.h>
#include <malloc.h>
static char codesep[2] = { ' ', '\n' };
void main()
{
	FILE *f = fopen("a.out", "rb");
	if(f == NULL)
		return;
	fseek(f, 0, SEEK_END);
	size_t size = ftell(f);
	rewind(f);
	size_t codes = size / 4;
	size_t lines = codes / 2;
	if(codes % 2 == 1)
		lines++;
	char *buf = malloc(4);
	char codebuf[9];
	size_t charsize = (size*2)+(lines*2);
	char *code = malloc(charsize+1);
	memset(code, 0, charsize+1);
	size_t i = 0;
	char cur_codesep = 0;
	while(i < size)
	{
		i+=4;
		fread(buf, 4, 1, f);
		sprintf(codebuf, "%08x", __builtin_bswap32(*(unsigned int*)buf));
		strcat(code, codebuf);
		strncat(code, &codesep[cur_codesep], 1);
		cur_codesep ^= 1;
	}
	fclose(f);
	printf("c0000000 %08x\n", lines); /* execute asm */
	printf(code);
	free(code);
	if(codes % 2 == 1)
		printf("00000000\n");
	printf("f0000000 00000000\n"); /* end */
}